#include <stdio.h>

#include "as_tokenizer.h"
#include "utils.h"

int main(int argc, char** argv) {
    if (argc != 2) {
        fprintf(stderr, "Usage: fvm-as <inputfile>\n");
        return 1;
    }
    Allocator alct = newAllocator();
    FILE *fp = fopen(argv[1], "r");
    TokenStream ts = makeTokenStream(alct, fp);

    deleteAllocator(alct);
    return 0;
}

